Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuthenticationProviderV2

All Superinterfaces:
  SecurityProvider

    public interface AuthenticationProviderV2

extends SecurityProvider

The `AuthenticationProviderV2` interface exposes the services provided by an Authentication provider to the WebLogic Security Framework. This allows the Authentication provider to be manipulated (initialized, started, stopped, and so on).

Method Summary
`AppConfigurationEntry` | `getAssertionModuleConfiguration()` Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.
`IdentityAsserterV2` | `getIdentityAsserter()` Gets this Authentication provider's associated Identity Assertion provider.
`AppConfigurationEntry` | `getLoginModuleConfiguration()` Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.
`PrincipalValidator` | `getPrincipalValidator()` Gets this Authentication provider's associated Principal Validation provider.

Methods inherited from interface weblogic.security.spi.SecurityProvider
`getDescription, initialize, shutdown`

Method Detail

### getLoginModuleConfiguration

    AppConfigurationEntry getLoginModuleConfiguration()

  Gets the `AppConfigurationEntry` for this Authentication provider's JAAS `LoginModule`.

  Returns:
    the JAAS configuration specific to this Authentication provider that is needed to properly execute login authentication in this security realm.

### getAssertionModuleConfiguration

    AppConfigurationEntry getAssertionModuleConfiguration()

  Gets the `AppConfigurationEntry` for the associated Identity Assertion provider's JAAS `LoginModule`.

  Note that the `assertIdentity()` method of an Identity Assertion provider is called every time identity assertion occurs, but the LoginModules may not be called if the Subject is cached. The `-Dweblogic.security.identityAssertionTTL` flag can be used to affect this behavior (for example, to modify the default TTL of 5 minutes or to disable the cache by setting the flag to -1).

  It is the responsibility of the Identity Assertion provider to ensure not just that the token is valid, but also that the user is still valid (for example, the user has not been deleted).

  Returns:
    the JAAS configuration specific to an Identity Assertion provider that is needed to properly execute identity assertion in this security realm.

### getPrincipalValidator

    PrincipalValidator getPrincipalValidator()

  Gets this Authentication provider's associated Principal Validation provider.

  Returns:
    a Principal Validation provider.

### getIdentityAsserter

    IdentityAsserterV2 getIdentityAsserter()

  Gets this Authentication provider's associated Identity Assertion provider.

  Returns:
    an Identity Assertion provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD